#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    vector<pair<double,double> > vektor;
    long long suma=0;
    for(int i=0;i<n;i++)
    {
        double zarada;
        double porez;
        cin>>zarada>>porez;
        vektor.push_back(make_pair(porez,zarada));
        suma+=zarada;
    }
    sort(vektor.begin(),vektor.end());
    vector <double> prefiksne(n);
    prefiksne[0]=suma;
    for(int i=1;i<n;i++)
    {
        prefiksne[i]=prefiksne[i-1]-vektor[i-1].second;
    }
    double maximum=0;
    for(int i=0;i<n;i++)
    {
        double k=(vektor[i].first/100)*prefiksne[i];
        if(k>maximum)
        {
            maximum=k;
        }
    }
    long long x1=maximum;
    long long x2=x1+1;
    double f=(x1+x2)/2;
    if(f==maximum)
    {
        cout<<x2;
    }
    cout<<fixed<<showpoint<<setprecision(4)<<maximum;
    return 0;
}